Index: /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 110)
+++ /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome	(revision 111)
@@ -2,6 +2,4 @@
 ####################################################################### nom
 # @ job_name		=	LMD_LES_MARS
-####################################################################### real ou ideal ???
-# @ environment         =       real=0 ; tmpdir=$(job_name).$(jobid)
 ####################################################################### MPICH / serial 
 # @ job_type            =       MPICH
@@ -10,8 +8,9 @@
 ####################################################################### A / B / C / AP / BP / CP
 # @ class               =       AP		
-####################################################################### 24gb
+####################################################################### 24gb (cf. llps pendant fonctionnement)
 # @ resources 		= 	ConsumableCpus(1)ConsumableMemory(1gb)  
+####################################################################### real ou ideal ???
+# @ environment         =       real=0 ; tmpdir=$(job_name).$(jobid) ; para=$(job_type)
 #######################################################################
-
 
 #######################################################################
@@ -49,7 +48,13 @@
 fi
 #######################################################################
+#### avant wrf.exe, necessaire ???
 #declare -x MP_STACK_SIZE=640000000
 #declare -x MP_STACK_SIZE=64000000
 #######################################################################
-mpirun wrf.exe
+if [[ "${para}" == "MPICH" ]]
+then
+   mpirun wrf.exe
+else
+   ./wrf.exe
+fi
 #######################################################################
Index: /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal	(revision 110)
+++ /trunk/mesoscale/LMD_MM_MARS/SIMU/launch.gnome.ideal	(revision 111)
@@ -1,5 +1,5 @@
 #######################################################################
 ####################################################################### nom
-# @ job_name		=	LMD_LES_MARS
+# @ job_name		=	PREP_LES
 ####################################################################### real ou ideal ???
 # @ environment         =       real=0 ; tmpdir=$(job_name).$(jobid)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 110)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 111)
@@ -90,5 +90,5 @@
       CHARACTER (LEN=20)                                 :: process, dummy
       CHARACTER (LEN=2000)                               :: fields, process_these_fields
-      REAL, DIMENSION(99)                                :: interp_levels
+      REAL, DIMENSION(299)                                :: interp_levels
       REAL                                               :: rval
       REAL                                               :: MISSING=1.e36
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 110)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 111)
@@ -1104,6 +1104,6 @@
             !!! -- HFX apparaissait nul aux interfaces des tuiles
             if ( output_tab2d(subs,ind_HFX) .le. 1.e-8 ) then
-               print *, 'HFX is zero !!! ', i, j
-               print *, 'I substituted the value right next to it ', output_tab2d(subs+1,ind_HFX) 
+               !print *, 'HFX is zero !!! ', i, j
+               !print *, 'I substituted the value right next to it ', output_tab2d(subs+1,ind_HFX) 
                output_tab2d(subs,ind_HFX) = output_tab2d(subs+1,ind_HFX)
             endif
Index: /trunk/mesoscale/LMD_MM_MARS/makemeso
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 110)
+++ /trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 111)
@@ -110,8 +110,8 @@
          exit
        fi 
-       echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
+       echo How many processors ? e.g. 1, 2, 4, 6, 8, 12, 16, 20, 24, 32, 64, 128 ; read numproc ;;
     4) compilo='ifort' ; numproc=1 ;;
-    5) compilo='mpifort' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
-    7) compilo='mpixlf' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
+    5) compilo='mpifort' ; echo How many processors ? e.g. 1, 2, 4, 6, 8, 12, 16, 20, 24, 32, 64, 128 ; read numproc ;;
+    7) compilo='mpixlf' ; echo How many processors ? e.g. 1, 2, 4, 6, 8, 12, 16, 20, 24, 32, 64, 128 ; read numproc ;;
 ### for tests 
 99) compilo='gnu' ; numproc=1 ;;
@@ -402,5 +402,4 @@
         physy=$(expr ${lat} - 1) ; physy=$(expr ${physy} \/ 6)
         physz=$(expr ${level} - 1) ;;
-### TESTS
     32) physx=$(expr ${lon} - 1) ; physx=$(expr ${physx} \/ 4)
         physy=$(expr ${lat} - 1) ; physy=$(expr ${physy} \/ 8)
@@ -408,4 +407,7 @@
     64) physx=$(expr ${lon} - 1) ; physx=$(expr ${physx} \/ 8)
         physy=$(expr ${lat} - 1) ; physy=$(expr ${physy} \/ 8)
+        physz=$(expr ${level} - 1) ;;
+    128) physx=$(expr ${lon} - 1) ; physx=$(expr ${physx} \/ 8)
+        physy=$(expr ${lat} - 1) ; physy=$(expr ${physy} \/ 16) 
         physz=$(expr ${level} - 1) ;;
     *) echo not supported ; exit