Index: trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro
===================================================================
--- trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro	(revision 114)
+++ trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro	(revision 117)
@@ -13,4 +13,6 @@
 folder='/d5/aslmd/GRAVITWAVE/GW_MARS_highwind_narrowmountain_2D.morepoints.160818/'
 folder='/d5/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_LT15.161544/'
+folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440/'
+folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468/'
 file=folder+'wrfout_d01_9999-09-09_09:00:00_z'
 charvar='W' & charvarc='W'
Index: trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro
===================================================================
--- trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro	(revision 114)
+++ trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro	(revision 117)
@@ -9,5 +9,5 @@
 	path='../TESTGW/'
 	path='/tmp7/aslmd/'
-path='/d5/aslmd/GRAVITWAVE/'
+path='/home/aslmd/GRAVITWAVE/'
 	experiment='mcd_lt16_rcpcst'
 	;experiment='mcd_lt16'
@@ -29,4 +29,6 @@
 experiment='GW_MARS_highwind_3D_loweropacity_morepoints.161542'
 experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LT15.161544'
+experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440'
+experiment='GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468'
 	file=path+experiment+'_wrfout_d01_9999-09-09_09:00:00_z'
 file=path+experiment+'/wrfout_d01_9999-09-09_09:00:00_z'
@@ -88,8 +90,8 @@
 	;mean_columnp = TOTAL(columnp(*,*,*,nts:nte),4) / float(nte-nts+1)
         anomal_invar = invar & for i=0,s[4]-1 do anomal_invar(*,*,*,i) = anomal_invar(*,*,*,i) - mean_invar
-;
-;
-;
-	;goto, perturb
+;;
+;;
+;;
+;	goto, perturb
 for nt=nts,nte do begin
 for nx=nxs,nxe do begin
@@ -257,4 +259,12 @@
         oplot, overplot, overplot_column
      endfor
+
+	;temppp = reform(mean_invar(nxs,middle,*))
+	;hache = 191.*temppp/3.72/1000.
+	;ok = column / ( 2. * hache )
+	;print, exp(ok)
+	;yeah = exp(ok)
+	;oplot, yeah, column
+
 PS_End, /PNG
 
Index: trunk/mesoscale/PLOT/SPEC/LES/turb_inc.pro.new
===================================================================
--- trunk/mesoscale/PLOT/SPEC/LES/turb_inc.pro.new	(revision 117)
+++ trunk/mesoscale/PLOT/SPEC/LES/turb_inc.pro.new	(revision 117)
@@ -0,0 +1,23 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+format        = '(F6.2)'
+colors        = 64
+pal = 0 ;33 ;22 ;33
+minfield_init = 818.0 ;-1.5
+maxfield_init = 819.5 ;1.5
+ndiv = 6
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+missing_value=1.e30
+lim_max = maxfield_init & w=where((what_I_plot ge lim_max) and (what_I_plot le 1e9)) & if (w[0] ne -1) then what_I_plot[w]=lim_max
+lim_min = minfield_init & w=where(what_I_plot le lim_min) & if (w[0] ne -1) then what_I_plot[w]=lim_min
+flag_cb = 'true'
+windowx = [0.,3600.] 
+windowy = [0.,3600.] 
+intervalx = 600. 
+intervaly = 600. 
+title_axis = ['x-axis (m)','y-axis (m)']
+poscb = 0.72
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+windex = 20 
+stride = 1
Index: trunk/mesoscale/PLOT/SPEC/LES/turb_period_psfc.pro
===================================================================
--- trunk/mesoscale/PLOT/SPEC/LES/turb_period_psfc.pro	(revision 117)
+++ trunk/mesoscale/PLOT/SPEC/LES/turb_period_psfc.pro	(revision 117)
@@ -0,0 +1,161 @@
+pro turb_period
+;
+;
+;
+what_I_plot=0.
+overcontour=0.
+SPAWN, '\rm param_plot.idl ; cp turb_inc.pro param_plot.idl'
+;;
+;;
+;;
+;altiuser=0.5
+start_lt = 9. ;8
+zefile='psfc' ;'turbh_period'
+overvector_x = 0
+overvector_y = 0
+freq_out = 50. ;100.
+dx = 10.
+;
+;
+;
+filefile = "/home/aymeric/Work/submitted/mars_journal/LMD_MM_MARS_ustar_LEScaseC.nc"
+filefile = "/home/aymeric/extract.nc"
+filefile = "/home/aslmd/bigLES10m/psfc.nc"
+;getcdf, file=filefile, charvar="USTM", invar=zevar
+;getcdf, file=filefile, charvar="U", invar=zeu
+;getcdf, file=filefile, charvar="V", invar=zev
+;getcdf, file=filefile, charvar="W", invar=zew
+getcdf, file=filefile, charvar="PSFC", invar=zevar
+
+        nx = n_elements(zevar(*,0,0))
+        ny = n_elements(zevar(0,*,0))
+        ntot = n_elements(zevar(0,0,*))
+        ;lon = findgen(nx) / 10.
+        ;lat = findgen(ny) / 10.
+	;;lon = findgen(2*nx+1) / 10.
+	;;lat = findgen(2*ny+1) / 10.
+        lon = findgen(2*nx+1) * dx ;/ 1000.
+        lat = findgen(2*ny+1) * dx ;/ 1000.
+    lon = findgen(nx) * dx ;/ 1000.
+    lat = findgen(ny) * dx ;/ 1000.
+
+
+alpha=1
+;nstart=195
+;nend=198
+;;nend=215
+;nstride=1
+	;nstart=1
+	;nend=n_elements(zevar(0,0,*))-1
+	;nstride=10
+nstart=0
+nend=n_elements(zevar(0,0,*))-1
+nstride=1
+for nt=nstart,nend,nstride do begin
+print, nt
+;
+;
+;
+  PS_Start, filename=zefile+string(1000+alpha,'(I0)')+'.ps'
+  print, zefile+'.ps'
+  ;!p.multi=[0,3,2]
+  ;!P.Charsize = 0.6
+	!P.Charsize = 1.2
+	!p.charthick = 2.0
+	!p.thick = 2.0
+	!x.thick = 2.0
+	!y.thick = 2.0
+;;
+;;
+;;
+;restore, filename='../LES/MERIDIANI_tau100/savew'
+;;restore, filename='../LES/MERIDIANI_tau100_wind10/savew'
+;;restore, filename='../LES/MERIDIANI_tau100_wind20/savew'
+;;;restore, filename='saveu'
+;indind=where(abs(h - altiuser) eq min(abs(h - altiuser)))
+;print, h(indind)
+;;
+;;
+;;
+;;what_I_plot = reform(wprime(*,*,indind))
+;what_I_plot = wprime(*,*,indind)
+;;what_I_plot = veltot(*,*,indind)
+;;contour, wprime(*,*,indind), nlevels=30
+;lon = findgen(n_elements(wprime(*,0,0))) / 10.
+;lat = findgen(n_elements(wprime(0,*,0))) / 10.
+;nx = n_elements(wprime(*,0,0))
+;ny = n_elements(wprime(0,*,0))
+
+	;;;
+	what_I_plot = reform(zevar(*,*,nt))
+        ;overvector_x = reform(zeu(0:nx-1,*,0,nt))	
+	;overvector_y = reform(zev(*,0:ny-1,0,nt))
+	;what_I_plot = reform(zew(*,*,0,nt))
+	;what_I_plot = reform(zevar(*,*,nt)) - mean(reform(zevar(*,*,nt)))
+	;;;
+
+;;;;
+;;;; DUPLIQUER LES DOMAINES
+;;;;
+
+;what_I_plot_period = fltarr(2*nx+1,2*ny+1)
+;what_I_plot_period(0:nx-1   ,0:ny-1   ) = what_I_plot(0:nx-1,0:ny-1)
+;what_I_plot_period(nx:2*nx-1,0:ny-1   ) = what_I_plot(0:nx-1,0:ny-1)
+;what_I_plot_period(0:nx-1   ,ny:2*ny-1) = what_I_plot(0:nx-1,0:ny-1)
+;what_I_plot_period(nx:2*nx-1,ny:2*ny-1) = what_I_plot(0:nx-1,0:ny-1)
+;what_I_plot_period(2*nx,*) = what_I_plot_period(0,*)
+;what_I_plot_period(*,2*ny) = what_I_plot_period(*,0)
+;what_I_plot = TEMPORARY(what_I_plot_period)
+
+;overvector_x_period = fltarr(2*nx+1,2*ny+1)
+;overvector_x_period(0:nx-1   ,0:ny-1   ) = overvector_x(0:nx-1,0:ny-1)
+;overvector_x_period(nx:2*nx-1,0:ny-1   ) = overvector_x(0:nx-1,0:ny-1)
+;overvector_x_period(0:nx-1   ,ny:2*ny-1) = overvector_x(0:nx-1,0:ny-1)
+;overvector_x_period(nx:2*nx-1,ny:2*ny-1) = overvector_x(0:nx-1,0:ny-1)
+;overvector_x_period(2*nx,*) = overvector_x_period(0,*)
+;overvector_x_period(*,2*ny) = overvector_x_period(*,0)
+;overvector_x = TEMPORARY(overvector_x_period)
+
+;overvector_y_period = fltarr(2*nx+1,2*ny+1)
+;overvector_y_period(0:nx-1   ,0:ny-1   ) = overvector_y(0:nx-1,0:ny-1)
+;overvector_y_period(nx:2*nx-1,0:ny-1   ) = overvector_y(0:nx-1,0:ny-1)
+;overvector_y_period(0:nx-1   ,ny:2*ny-1) = overvector_y(0:nx-1,0:ny-1)
+;overvector_y_period(nx:2*nx-1,ny:2*ny-1) = overvector_y(0:nx-1,0:ny-1)
+;overvector_y_period(2*nx,*) = overvector_y_period(0,*)
+;overvector_y_period(*,2*ny) = overvector_y_period(*,0)
+;overvector_y = TEMPORARY(overvector_y_period)
+
+
+print, 'plot !!!!'
+;
+;
+;
+	;localtime_h = start_lt + 100*nt/3700  ;; division euclidienne
+	;localtime_m = float(100*nt mod 3700)/3700.
+	;localtime_m = 60.*localtime_m
+	;title_user=string(localtime_h,'(I0)')+'h'+string(localtime_m,'(I0)')
+title_user='Surface pressure (Pa) / Local time = '+string(start_lt + freq_out*float(nt)/3700.,'(F6.3)')
+print, title_user
+;
+;
+;
+map_latlon, $
+        what_I_plot, $                          ; 2D field
+        lon, $                                  ; 1D latitude
+        lat, $                                  ; 1D longitude
+        minfield=minfield_init, $               ; minimum value of plotted field (=0: calculate)
+        maxfield=maxfield_init, $               ; maximum value of plotted field (=0: calculate)
+;        overcontour=overcontour, $              ; another 2D field to overplot with contour lines (=0: no)
+        overvector_x=overvector_x, $            ; wind vector - x component (=0: no)
+        overvector_y=overvector_y, $            ; wind vector - y component (=0: no)
+        ct=pal, $                               ; color table (33-rainbow is default)
+        colors=colors, $                        ; number of colors/levels (32 is default)
+        title=title_user, $                     ; title of the plot ('' is default)
+        format=format                           ; format of colorbar annotations ('(F6.2)' is default)
+;
+;
+;
+PS_End, /PNG
+alpha=alpha+1
+endfor
+end