Index: trunk/mars/libf/phymars/growthrate.F
===================================================================
--- trunk/mars/libf/phymars/growthrate.F	(revision 118)
+++ trunk/mars/libf/phymars/growthrate.F	(revision 120)
@@ -23,22 +23,23 @@
       REAL*8 psat ! water vapor saturation pressure (Pa) 
       REAL r    ! crystal radius before condensation (m)
-      REAL seq  ! Equilibrium saturation ratio
-      REAL dr   ! crystal radius variation (m)
+      REAL*8 seq  ! Equilibrium saturation ratio
+!      REAL dr   ! crystal radius variation (m)
+      REAL*8 Cste 
 
 c   local:
 c   ------
 
-      REAL molco2,molh2o
-      REAL Mco2,Mh2o,rho_i,sigh2o
-      REAL nav,rgp,kbz,pi,To
+      REAL*8 molco2,molh2o
+      REAL*8 Mco2,Mh2o,rho_i,sigh2o
+      REAL*8 nav,rgp,kbz,pi,To
 
 c     Effective gas molecular radius (m)
-      data molco2/2.2e-10/   ! CO2
+      data molco2/2.2d-10/   ! CO2
 c     Effective gas molecular radius (m)
-      data molh2o/1.2e-10/   ! H2O
+      data molh2o/1.2d-10/   ! H2O
 c     Molecular weight of CO2
-      data Mco2/44.e-3/            ! kg.mol-1
+      data Mco2/44.d-3/            ! kg.mol-1
 c     Molecular weight of H2O
-      data Mh2o/18.e-3/            ! kg.mol-1
+      data Mh2o/18.d-3/            ! kg.mol-1
 c     surface tension of ice/vapor
       data sigh2o/0.12/	     ! N.m
@@ -46,9 +47,9 @@
       data rho_i/917./        ! kg.m-3 also defined in initcld.f
 c     Avogadro number
-      data nav/6.023e23/
+      data nav/6.023d23/
 c     Perfect gas constant
       data rgp/8.3143/
 c     Boltzman constant
-      data kbz/1.381e-23/
+      data kbz/1.381d-23/
 c     pi number
       data pi/3.141592654/
@@ -56,9 +57,8 @@
       data To/273.15/
 
-      REAL k,Lv                 
-      REAL knudsen           ! Knudsen number (gas mean free path/particle radius)
-      REAL a,Dv,lambda       ! Intermediate computations for growth rate
+      REAL*8 k,Lv                 
+      REAL*8 knudsen           ! Knudsen number (gas mean free path/particle radius)
+      REAL*8 a,Dv,lambda       ! Intermediate computations for growth rate
       REAL*8 Rk,Rd
-      REAL Cste, rf
 
 c-----------------------------------------------------------------------
Index: trunk/mars/libf/phymars/newcondens.F
===================================================================
--- trunk/mars/libf/phymars/newcondens.F	(revision 118)
+++ trunk/mars/libf/phymars/newcondens.F	(revision 120)
@@ -854,9 +854,13 @@
              Mtot = masse(m+1)
              MQtot = masse(m+1)*q(m+1)
-             do while ((m.gt.0).and.(-w(l+1).gt.(Mtot+masse(m))))
+             if (m.gt.0) then ! because some compilers will have problems
+                              ! evaluating masse(0)
+              do while ((m.gt.0).and.(-w(l+1).gt.(Mtot+masse(m))))
                 m=m-1
                 Mtot = Mtot + masse(m+1)
                 MQtot = MQtot + masse(m+1)*q(m+1)
-             end do
+                if (m.eq.0) exit
+              end do
+             endif
              if (m.gt.0) then
                 sigw=(w(l+1)+Mtot)/masse(m)
Index: trunk/mars/libf/phymars/newsedim.F
===================================================================
--- trunk/mars/libf/phymars/newsedim.F	(revision 118)
+++ trunk/mars/libf/phymars/newsedim.F	(revision 120)
@@ -179,5 +179,5 @@
              ptop=exp(-(dztop-Ep)*g/(r*pt(ig,l+k)))
              IF ( ptop .eq. 1. ) THEN
-                PRINT*, 'exposant trop petit ', ig, l
+                PRINT*, 'newsedim: exposant trop petit ', ig, l
                 ptop=pplev(ig,l+k) * ( 1. - (dztop-Ep)*g/(r*pt(ig,l+k)))
              ELSE
Index: trunk/mars/libf/phymars/watercloud.F
===================================================================
--- trunk/mars/libf/phymars/watercloud.F	(revision 118)
+++ trunk/mars/libf/phymars/watercloud.F	(revision 120)
@@ -75,5 +75,5 @@
       REAL CBRT
       EXTERNAL CBRT
-      INTEGER ig,iq,l
+      INTEGER ig,l
 
 
@@ -85,7 +85,7 @@
       REAL masse (ngridmx,nlayermx)
       REAL epaisseur (ngridmx,nlayermx)
-      REAL rfinal        ! Ice crystal radius after condensation(m)
-      REAL seq           ! Equilibrium saturation ration (accounting for curvature effect)
-      REAL dzq           ! masse de glace echangee (kg/kg)
+!      REAL rfinal        ! Ice crystal radius after condensation(m)
+      REAL*8 seq           ! Equilibrium saturation ration (accounting for curvature effect)
+      REAL*8 dzq           ! masse de glace echangee (kg/kg)
       REAL lw       !Latent heat of sublimation (J.kg-1) 
       REAL,PARAMETER :: To=273.15 ! reference temperature, T=273.15 K
@@ -93,5 +93,5 @@
       REAL Ctot
       REAL*8 ph2o,satu
-      REAL gr,Cste,up,dwn,newvap
+      REAL*8 gr,Cste,up,dwn,newvap
 
       LOGICAL,SAVE :: firstcall=.true.
@@ -104,10 +104,7 @@
 c     REAL rave(ngridmx)               ! Mean crystal radius in a column (m)
 
-      INTEGER i
-
 ! indexes of water vapour, water ice and dust tracers:
       INTEGER,SAVE :: i_h2o=0  ! water vapour
       INTEGER,SAVE :: i_ice=0  ! water ice
-      CHARACTER(LEN=20) :: tracername ! to temporarly store text
 
 c    ** un petit test de coherence
@@ -209,5 +206,4 @@
 c         Improved microphysics scheme
 c         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
            Ctot = zq(ig,l,i_h2o) + zq(ig,l,i_ice)
            ph2o = zq(ig,l,i_h2o) * 44. / 18. * pplay(ig,l)