Index: /trunk/000-USERS
===================================================================
--- /trunk/000-USERS	(revision 130)
+++ /trunk/000-USERS	(revision 131)
@@ -21,2 +21,7 @@
 Jean-Baptiste Madeleine         LMD [CNRS]                      03 - 03 - 2011                  Mars GCM
 Julien Faure                    LMD [CNRS/UPMC]                 07 - 03 - 2011                  Mars GCM, MMM and LES  
+Anni Maattanen			LATMOS [CNRS]			25 - 05 - 2011			Mars GCM, MMM and LES
+Benjamin Charnay		LMD [CNRS]			25 - 05 - 2011			Venus and Titan GCMs
+Robin Wordworth			LMD [CNRS]			25 - 05 - 2011			Generic GCMs
+Jean-Yves Chauffray		LMD [CNRS]			25 - 05 - 2011			Mars GCM
+Luca Montabone			LMD [CNRS]			25 - 05 - 2011			Mars GCM
Index: /trunk/mars/README
===================================================================
--- /trunk/mars/README	(revision 130)
+++ /trunk/mars/README	(revision 131)
@@ -632,8 +632,15 @@
    --> fix by moving the closing "endif" [in addition to corrections mentioned in the previous point]
 
-== 17/10/2011 == EM
+== 17/05/2011 == EM
 >> set internal computations using double precision in growthrate.F and
    watercloud.F (otherwise we sometimes end up with Nans).
 >> add extra checks in newcondens.F to avoid possibility of out of bounds
    evaluation of array masse()
-   
+  
+== 25/05/2011 == AS
+>> found that the 10/05/2011 bug fix in newsedim.F is also useful for GCM runs.
+>> no more need to modify callradite.F prior to compilation [but still dimradmars.h must be modified] 
+   --> in callradite.F we now have
+       -- DEFAULT name_iaer(1) is "dust_conrath"
+       -- IF (doubleq.AND.active) name_iaer(1) = "dust_doubleq"
+       -- IF (water.AND.activice) name_iaer(2) = "h2o_ice"  
Index: /trunk/mars/libf/phymars/callradite.F
===================================================================
--- /trunk/mars/libf/phymars/callradite.F	(revision 130)
+++ /trunk/mars/libf/phymars/callradite.F	(revision 131)
@@ -263,8 +263,9 @@
 c        PLEASE MAKE SURE that you set up the right number of
 c          scatterers in dimradmars.h (naerkind);
-         name_iaer(1) = "dust_conrath"   !! poussiere classique
-c          name_iaer(1) = "dust_doubleq"
-cc        name_iaer(2) = "dust_submicron" !! JB: experimental
-c          name_iaer(2) = "h2o_ice"
+          name_iaer(1) = "dust_conrath"   !! default choice is good old Conrath profile
+          name_iaer(2) = "dummy"          !! default choice is no radiatively-active clouds
+          IF (doubleq.AND.active) name_iaer(1) = "dust_doubleq" !! two-moment scheme
+          IF (water.AND.activice) name_iaer(2) = "h2o_ice"      !! radiatively-active clouds
+          IF (submicron.AND.active) name_iaer(2) = "dust_submicron" !! JBM experimental stuff
 c        ----------------------------------------------------------
 
Index: /trunk/mars/libf/phymars/dimradmars.h
===================================================================
--- /trunk/mars/libf/phymars/dimradmars.h	(revision 130)
+++ /trunk/mars/libf/phymars/dimradmars.h	(revision 131)
@@ -27,6 +27,6 @@
 ! (ex: naerkind=2 if you use one dust mode and active ice ...)
       integer naerkind
-       parameter (naerkind=1)
-!      parameter (naerkind=2)
+!      parameter (naerkind=1)
+       parameter (naerkind=2)
 !!!!!! CHANGE CHANGE nsizemax BELOW BELOW
 
@@ -77,6 +77,6 @@
 !   the radiative calculations.
 
-!      INTEGER, PARAMETER :: nsizemax = 60
-      INTEGER, PARAMETER :: nsizemax = 1
+      INTEGER, PARAMETER :: nsizemax = 60
+!      INTEGER, PARAMETER :: nsizemax = 1
 
 ! Various initialisation for LW radiative code
Index: /trunk/mars/libf/phymars/meso_physiq.F
===================================================================
--- /trunk/mars/libf/phymars/meso_physiq.F	(revision 130)
+++ /trunk/mars/libf/phymars/meso_physiq.F	(revision 131)
@@ -1060,8 +1060,4 @@
          DO ig=1,ngrid
             zdtsurf(ig) = zdtsurf(ig) + zdtsurfc(ig)
-!!!**WRF: newphys: ici la pression n'est plus mise a jour ds le GCM
-!!!**WRF: mais il faut retablir ca dans le cas du mesoscale ?
-!!!**WRF: ...non probablement OK
-!            ps(ig)=pplev(ig,1) + pdpsrf(ig)*ptimestep
          ENDDO
 
@@ -1091,8 +1087,4 @@
 c        ----------------------------------------
          IF (water) THEN
-
-c **WRF: new arguments here rnuclei,rice,nuice
-c  plus no more iqmin +igcm_h2o_vap replaces iq, what are the consequences?
-c  checks needed when tracers simulations
 
            call watercloud(ngrid,nlayer,ptimestep,
@@ -1216,7 +1208,4 @@
            zdqssed(1:ngrid,1:nq)=0
 
-c
-c **WRF: new arguments rnuclei, rice, need checks
-c
            call callsedim(ngrid,nlayer, ptimestep,
      &                pplev,zzlev, pt, rdust, rice,
@@ -1293,7 +1282,4 @@
       ENDDO
 
-ccc
-ccc  **WRF very specific to GCM
-ccc
 c  Prescribe a cold trap at south pole (except at high obliquity !!)
 c  Temperature at the surface is set there to be the temperature
@@ -1325,7 +1311,5 @@
 c              ALWAYS PLACE these lines after newcondens !!!
 c       -------------------------------------------------------------
-c
 c **WRF : OK avec le mesoscale, pas d'indices bizarres au pole
-c
          do ig=1,ngrid
            if ((co2ice(ig).eq.0).and.
@@ -1478,7 +1462,4 @@
            if (water) then
 
-!!
-!!***WRF: ok, des nouveaux trucs cools de la nouvelle physique
-!!
              call zerophys(ngrid,mtot)
              call zerophys(ngrid,icetot)
Index: /trunk/mesoscale/PLOT/MINIMAL/map_latlon.pro
===================================================================
--- /trunk/mesoscale/PLOT/MINIMAL/map_latlon.pro	(revision 130)
+++ /trunk/mesoscale/PLOT/MINIMAL/map_latlon.pro	(revision 131)
@@ -375,4 +375,7 @@
 ;yeah=UNIQ(lev) & lev=lev[yeah]
 
+colcont = 75
+if (pal eq 16) then colcont=0 ;noir
+if (pal eq 4) then colcont=255 ;blanc
 
 if (isotropic eq 'true') then begin
@@ -387,7 +390,7 @@
 	max_value=max_contour, $
 	min_value=min_contour, $	
-	c_labels=findgen(n_elements(lev))*0., $
+	c_labels=findgen(n_elements(lev))*1., $
 ;        c_charsize=!P.charsize/2, $
-	color=75;0;50;75;100tropclair;150;0;, $
+	color=colcont;75;0;50;75;100tropclair;150;0;, $
 ;	/noerase, $
 ;	xtitle=xtitleset, $
@@ -410,5 +413,5 @@
         min_value=min_contour, $
         c_labels=findgen(n_elements(lev))*0., $
-        color=0;, $
+        color=colcont;, $
 ;        /noerase, $
 ;        xtitle=xtitleset, $ 
Index: /trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro	(revision 130)
+++ /trunk/mesoscale/PLOT/SPEC/GW/gravitwave2.pro	(revision 131)
@@ -13,14 +13,20 @@
 folder='/d5/aslmd/GRAVITWAVE/GW_MARS_highwind_narrowmountain_2D.morepoints.160818/'
 folder='/d5/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_LT15.161544/'
-folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440/'
-folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468/'
+folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints.161542/'
+;folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440/'
+;folder='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468/'
 file=folder+'wrfout_d01_9999-09-09_09:00:00_z'
 charvar='W' & charvarc='W'
-charvar='tk' & charvarc='W'
+charvar='W' & charvarc='tk' & cond=0
+;charvar='tk' & charvarc='W'
 ;charvar='tk' & charvarc='W' & cond=1
-charvar='tk' & charvarc='tk' & cond=1
+;charvar='tk' & charvarc='tk' & cond=1
+;charvar='tk' & charvarc='tk' & cond=0
 ;;charvar='tpot' & charvarc='tpot'
-;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
-;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+charvar='HR_NLTE' & charvarc='tk' & cond=0
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+	;folder='/home/aslmd/GRAVITWAVE/'
+	;file=folder+'GW_MARS_highwind_3D_loweropacity_morepoints_diff.nc'
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;
 ;
@@ -39,8 +45,12 @@
         charvar=charvarc, $
         invar=invarc
+;getcdf, $
+;        file=file, $
+;        charvar='vert', $
+;        invar=vert
 getcdf, $
-        file=file, $
-        charvar='vert', $
-        invar=vert
+         file='/home/aslmd/GRAVITWAVE/GW_MARS_highwind_3D.157077/wrfout_d01_9999-09-09_09:00:00_z', $
+         charvar='vert', $
+         invar=vert
 getcdf, $
         file=file, $
@@ -53,23 +63,20 @@
 ;for nt=27,27 do begin
 for nt=1,40 do begin
+;for nt=9,9 do begin
+;for nt=0,20 do begin
 zefile='gravitwave_'+charvar+'_'+charvarc+'_'+string(nt+100,'(I0)')
-if (n_elements(cond) ne 0) then zefile = 'cond_' + zefile
+if (n_elements(cond) ne 0) then if (cond ne 0) then zefile = 'cond_' + zefile
 ;
 ;
 ;
-  PS_Start, filename=zefile+'.ps'
-  print, zefile+'.ps'
-  !P.Charsize = 1.2
-  !p.charthick = 2.0
-  !p.thick = 2.0
-  !x.thick = 2.0
-  !y.thick = 2.0
+  PS_Start, filename=zefile+'.ps' & print, zefile+'.ps'
 ;
 ;
 ;
 s = size(invar) & middle = floor(s[2]/2) & print, 'PLOT at y subs ', middle
-what_I_plot = reform(invar(*,middle,*,nt))
+what_I_plot = reform(invar(*,middle,*,nt)) & print, min(what_I_plot), max(what_I_plot)
 overcontour = reform(invarc(*,middle,*,nt))
    if (n_elements(cond) ne 0) then begin
+   if (cond ne 0) then begin
      column = columnp
      ;column = reform(columnp(*,1,*,1))
@@ -80,16 +87,26 @@
      if (charvarc eq 'tk') then overcontour = overcontour - yeye 
    endif
+   endif
 xx = findgen(n_elements(what_I_plot(*,0)))
 zz = vert / 1000.
-
-	;w = where(what_I_plot lt 0.)
-	w = where(what_I_plot lt -1.)
-	;w = where(what_I_plot lt -3.)
-	if (w(0) ne -1) then begin
-	for i=0,n_elements(w)-1 do begin
-	 ind = ARRAY_INDICES(what_I_plot, w(i))
-	 print, 'x '+string(ind(0),'(I0)')+' z '+string(zz(ind(1)),'(I0)')+' t '+string(nt*925./3700.,'(F4.1)'), what_I_plot(ind[0],ind[1])
-	endfor
-	endif
+;
+	;;w = where(what_I_plot lt 2.)
+	;;w = where(what_I_plot lt 0.)
+	;w = where(what_I_plot lt -1.)
+	;;w = where(what_I_plot lt -3.)
+	;if (w(0) ne -1) then begin
+	;for i=0,n_elements(w)-1 do begin
+	; ind = ARRAY_INDICES(what_I_plot, w(i))
+	; print, 'x '+string(ind(0),'(I0)')+' z '+string(zz(ind(1)),'(I0)')+' t '+string(nt*925./3700.,'(F4.1)'), what_I_plot(ind[0],ind[1])
+	;endfor
+	;endif
+;
+;
+;
+if (charvar eq 'HR_NLTE') then begin
+	what_I_plot = what_I_plot * 3700. ;; en K/hour
+	;w = where((zz le 60.) and (zz ge 50.)) ;; pour enlever la ligne d'altitude ou le NLTE est active
+        ;if (w(0) ne -1) then what_I_plot(*,w) = 0.
+endif
 ;
 ;
@@ -99,6 +116,6 @@
         xx, $                                   ; 1D latitude
         zz, $                                   ; 1D longitude
-;        minfield=minfield_init, $               ; minimum value of plotted field (=0: calculate)
-;        maxfield=maxfield_init, $               ; maximum value of plotted field (=0: calculate)
+;        minfield_init, $               ; minimum value of plotted field (=0: calculate)
+;        maxfield_init, $               ; maximum value of plotted field (=0: calculate)
         overcontour=overcontour, $              ; another 2D field to overplot with contour lines (=0: no)
 ;        overvector_x=overvector_x, $            ; wind vector - x component (=0: no)
Index: /trunk/mesoscale/PLOT/SPEC/GW/gravitwave_inc.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/GW/gravitwave_inc.pro	(revision 130)
+++ /trunk/mesoscale/PLOT/SPEC/GW/gravitwave_inc.pro	(revision 131)
@@ -2,24 +2,46 @@
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;;;;;; W 
-colors        = 32
-minfield_init = -6.
-maxfield_init =  6. 
-format        = '(F4.1)'
-pal           = 4
+colors        = 64
+minfield_init = -10.
+maxfield_init = 10. 
+ndiv	      = 10
+format        = '(I0)'
+pal           = 17 ;4 ;16 ;18 ;4
 title_user    = 'Vertical velocity (m s!U-1!N)'
+lev=80.+10.*findgen(30)
 ;;;;;;;; tk
-minfield_init =  110.
-maxfield_init =  210.
-format        = '(I0)'
-pal	       = 33
-title_user    = 'Temperature (K)'
-;;;;;;; tk - tsat
-minfield_init =  -4. ;-8.
-maxfield_init =  4. ;+8.
-ndiv	      =  8	
-format        = '(F4.1)'
-pal           =  0
-title_user    = 'T!Datm!N - T!Dsat!N (K)'
-;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;minfield_init = 110.
+;maxfield_init = 230.
+;ndiv	      = 12
+;format        = '(I0)'
+;pal	      = 33
+;title_user    = 'Temperature (K)'
+;lev = [-10.,-8.,-6.,-4.,-2.,2.,4.,6.,8.,10.]
+;lev=80.+10.*findgen(30)
+;;;;;;;; tk - tsat
+;minfield_init =  -4. ;-8.
+;maxfield_init =  4. ;+8.
+;ndiv	      =  8	
+;format        = '(F4.1)'
+;pal           =  0
+;title_user    = 'T!Datm!N - T!Dsat!N (K)'
+;lev = [-6.,-5.,-4.,-3.,-2.,-1.,0.]
+;;;;;;;;; hr_nlte
+;	minfield_init =  -6.
+;	maxfield_init =  6.
+;	ndiv          =  6
+;	format        = '(F4.1)'
+;	pal           =  33 
+;	title_user    = 'NLTE heating rate (K / hour)'
+lev=[-20.,-18.,-16.,-14.,-12.,-10.,-8.,-6.,-4.,-2.,2.,4.,6.,8.,10.,12.,14.,16.,18.,20.]
+title_user    = 'NLTE cooling rate (K hour!U-1!N)'
+w=where(abs(what_I_plot) le 1e5) & if (w[0] ne -1) then what_I_plot[w] = - what_I_plot[w]
+minfield_init = 0.
+maxfield_init = 20.
+ndiv          = 10
+pal	      = 1 ;4 ;22
+lev=80.+10.*findgen(30)
+format	      = '(I0)'
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 missing_value=1.e30
 lim_max = maxfield_init & w=where((what_I_plot ge lim_max) and (what_I_plot le 1e9)) & if (w[0] ne -1) then what_I_plot[w]=lim_max
@@ -34,4 +56,5 @@
 windowy = [0.,130.]
 windowx = [10., 110.] 
+;windowy = [50.,130.]
 intervalx = 10.
 intervaly = 10.
@@ -39,9 +62,8 @@
 poscb=0.55
 ;isotropic='false'
-lev = 10.*findgen(100)
-lev = [-6.,-4.,-2.,2.,4.,6.]
-lev = [-8.,-5.,-1.,1.,5.,8.]
-lev = [-6.,-5.,-4.,-3.,-2.,-1.,0.]
+;lev = 10.*findgen(100)
+;lev = [-6.,-4.,-2.,2.,4.,6.]
+;;lev = [-8.,-5.,-1.,1.,5.,8.]
+;;lev = [-6.,-5.,-4.,-3.,-2.,-1.,0.]
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
-
Index: /trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro	(revision 130)
+++ /trunk/mesoscale/PLOT/SPEC/GW/gravitwaveprof.pro	(revision 131)
@@ -28,7 +28,7 @@
 experiment='GW_MARS_highwind_3D_loweropacity_lotspoints.161468'
 experiment='GW_MARS_highwind_3D_loweropacity_morepoints.161542'
-experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LT15.161544'
-experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440'
-experiment='GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468'
+;experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LT15.161544'
+;experiment='GW_MARS_highwind_3D_loweropacity_morepoints_LTcst.168440'
+;experiment='GW_MARS_highwind_3D_loweropacity_morepoints_widehill.168468'
 	file=path+experiment+'_wrfout_d01_9999-09-09_09:00:00_z'
 file=path+experiment+'/wrfout_d01_9999-09-09_09:00:00_z'
@@ -57,4 +57,6 @@
 ;nts=1  & nte=1  & nxs=6   & nxe=6
 nts=1  & nte=100  & nxs=50   & nxe=50
+nts=1  & nte=100  & nxs=60   & nxe=60
+nts=1  & nte=100  & nxs=20   & nxe=20
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;
Index: /trunk/mesoscale/PLOT/SPEC/MAP/defs/THARSIS_newphys_bugnoRAC_RACgcm_TAUTES.map_uvt_inc.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/MAP/defs/THARSIS_newphys_bugnoRAC_RACgcm_TAUTES.map_uvt_inc.pro	(revision 131)
+++ /trunk/mesoscale/PLOT/SPEC/MAP/defs/THARSIS_newphys_bugnoRAC_RACgcm_TAUTES.map_uvt_inc.pro	(revision 131)
@@ -0,0 +1,132 @@
+;;;;;*************************************** FOLDER
+        folder  = '/home/aslmd/MESOWATERCYCLE/'
+        ;coord2d = 'false'       ;; for non-regular projections  ;;CHANGER windowx and windowy
+	;coord2d = 'polar'       ;; for polar projection with map_set ;; utiliser use_lt=99
+        filename        = folder + 'THARSIS_noBUG.171021/wrfout_d01_2024-05-03_01:00:00'
+        ini_utc         = 1           ;; cf. name of file
+        freq            = 1           ;; cf. 1 output per ... hour
+        save_ps         = 'THARSIS_newphys_RAC_TAUTES'
+filename        = folder + 'THARSIS_noRAC_noBUG.171041/wrfout_d01_2024-05-03_01:00:00'
+save_ps         = 'THARSIS_newphys_noRAC_TAUTES'
+filename        = folder + 'RACmeso_RACgcm/wrfout_d01_2024-05-03_01:00:00'
+save_ps         = 'THARSIS_newphys_bugRAC_TAUTES'
+filename        = folder + 'noRACmeso_noRACgcm/wrfout_d01_2024-05-03_01:00:00'
+save_ps         = 'THARSIS_newphys_bugnoRAC_TAUTES'
+filename        = folder + 'noRACmeso_RACgcm/wrfout_d01_2024-05-03_01:00:00'
+save_ps         = 'THARSIS_newphys_bugnoRAC_RACgcm_TAUTES'
+
+;;;;;*************************************** LVL & FLD & TIME
+        nlevel          = 0
+        use_lt          = 14               ;; cf. what user wants (99 pour tous)
+        field1          = 'TAU_ICE'        ;; comment to trace horizontal velocity
+        ;field2         = 'XLAT'           ;; contour
+        no3d            = 'true'
+        overvector_x    = 0               ;; comment out to get rid of vectors
+        overvector_y    = 0               ;; comment out to get rid of vectors
+
+;;;;;*************************************** TWEAK VAR
+        ;what_I_plot = what_I_plot * 0.
+        ;print, max(what_I_plot), min(what_I_plot)
+
+;;;;;*************************************** PLOT TITLES
+        title_user 	= 	'Water ice cloud optical depth at 825 cm!U-1!N' 
+        title_axis      =       ['East longitude','North latitude']
+        ;subtitle_user   = 'LMD_MM'
+        ;;subtitle_user   = subtitle_user + ' / LT = '+string(use_lt,'(I0)')+'h'
+        ;;subtitle_user   = subtitle_user + ' / UTC!D0!N = 06:00am' ;; pour les series
+        ;subtitle_user   = subtitle_user + ' / Ls = 120!Uo!N'
+        ;subtitle_user   = subtitle_user + ' / dx = 10km [S]'
+
+;;;;;*************************************** COLOR TABLES
+        flag_cb         =       'true'
+	poscb		=	0.70
+        format          =       '(F5.2)' 
+        colors          =       32
+        pal             =       22              ;; GOOD: 4, 18, 22, 16, 37, 33, 39, 6, 11
+
+;;;;;*************************************** FILL LIMITS
+        minfield_init   =       0.
+        maxfield_init   =       0.4
+        ndiv            =       8
+
+	;;;;;*************************************** LIMIT TRICKS
+        ;;;;;********************* must always follow FILL LIMITS
+        	missing_value=1.e30
+        	lim_max = maxfield_init & w=where((what_I_plot ge lim_max) and (what_I_plot le 1e9)) & if (w[0] ne -1) then what_I_plot[w]=lim_max
+        	lim_min = minfield_init & w=where(what_I_plot le lim_min) & if (w[0] ne -1) then what_I_plot[w]=lim_min
+        	;lim_blank = 2. & w=where(abs(what_I_plot) le lim_blank) & if (w[0] ne -1) then what_I_plot[w]=missing_value
+
+;;;;;*************************************** WINDS
+        windex          =       30.             ;; DEF: 20.
+        stride          =       3.              ;; DEF: 5.
+
+;;;;;*************************************** CONTOUR
+        overcontour     =       overcontour/1000.
+        lev             =       -10. + 1.*findgen(40)
+
+;;;;;*************************************** AXIS
+        isotropic       =       'true'
+        intervalx       =       5.0
+        intervaly       =       intervalx
+
+;;;;;*************************************** MAP LIMITS
+        windowx         =       [-150.,-100.]
+        windowy         =       [-15.,35.]
+
+;;;;;***************************************;;;;;
+;;;;;***************************************;;;;;
+;;;;;***************************************;;;;;
+;;;;;***************************************;;;;;
+
+;;;;;*************************************** SETTING TIME (do not modify)
+        if (n_elements(windowx) eq 0) then windowx = 0 
+        utc_to_lt       = mean(windowx) / 15.    ;; cf. longitude -- LT = UTC + utc_to_lt
+        use_utc         = use_lt - utc_to_lt
+        zentime         = floor(((24 + use_utc - ini_utc) MOD 24)/freq)        ;; TRUE IDL SUBSCRIPT... 
+        if (use_lt ne 99) then ntime = zentime else ntime = 99    ;; ou commenter pour avoir tous les pas de temps
+        print, zentime, ntime
+
+;;;;;***************************************
+;;;;;***************************************
+;;;;;***************************************
+;;;;;***************************************
+
+;;;
+;;; VERTICAL SECTION LIMITS
+;;;
+;minalt=-5.             ;; grepSEC
+;maxalt=40.             ;; grepSEC
+;minspace=0.0           ;; grepSEC
+;maxspace=35.0          ;; grepSEC
+
+;;;
+;;; METRIC UNITS FOR VERTICAL SECTION
+;;;
+;factor=10.        ;; grepSEC
+;space=space*60. & spacekm='true'       ;; grepSEC
+;minspace=minspace*60./factor           ;; grepSEC
+;maxspace=maxspace*60./factor           ;; grepSEC
+;intervalx=round(intervalx*60./factor)   ;; grepSEC
+
+
+;;;
+;;; TRICKS
+;;;
+
+;; pour tracer juste les vecteurs sur un fond uni ou vide
+;pal=0                                          ;; 1/4 grepMAP
+;what_I_plot(*,*)=what_I_plot(*,*)*0.+0.2       ;; 2/4 grepMAP
+;what_I_plot(0,0)=0.                            ;; 3/4 grepMAP
+;flag_cb='false'                                        ;; 4/4 grepMAP
+
+;;; truc pour tracer juste les contours et une zone grisee de topo
+;pal=0                                           ;; 1/9 grepALL
+;w=where(abs(what_I_plot) lt missing_value)     ;; 2/9 grepALL
+;what_I_plot[w]=0.                              ;; 3/9 grepALL
+;w=where(abs(what_I_plot) gt missing_value)     ;; 4/9 grepALL
+;what_I_plot[w]=0.75                            ;; 5/9 grepALL
+;w=where(what_I_plot eq 0.)                     ;; 6/9 grepALL
+;what_I_plot[w]=missing_value                           ;; 7/9 grepALL
+;what_I_plot(0,0)=1. & what_I_plot(1,0)=0.      ;; 8/9 grepALL
+;flag_cb='false'                                ;; 9/9 grepALL
+
Index: /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro
===================================================================
--- /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro	(revision 130)
+++ /trunk/mesoscale/PLOT/SPEC/MAP/map_uvt.pro	(revision 131)
@@ -148,10 +148,7 @@
 endelse
 help, what_I_plot, lon, lat
-print, min(what_I_plot)
-print, max(what_I_plot)
-print, min(overcontour)
-print, max(overcontour)
-print, min(overvector_x)
-print, min(overvector_y)
+print, 'COLOR PLOT min/max ', min(what_I_plot), max(what_I_plot)
+print, 'CONTOUR PLOT min/max ', min(overcontour), max(overcontour)
+print, 'VECTOR PLOT min/max ', min(overvector_x), min(overvector_y)
 ;
 ;