Index: trunk/deftanks/LMDZ.VENUS/gcm.def
===================================================================
--- trunk/deftanks/LMDZ.VENUS/gcm.def	(revision 133)
+++ trunk/deftanks/LMDZ.VENUS/gcm.def	(revision 133)
@@ -0,0 +1,85 @@
+## $Header$
+#
+## Planete:
+planet_type=venus
+# 
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=120000
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=1
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=2.e4
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=2.e4
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=2.e4
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=1
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique) PAS AU POINT POUR VENUS
+read_start=y
+## periode de la physique (en pas)                                       
+iphysiq=20
+## avec ou sans traceurs                                                 
+iflag_trac=0
+##  Avec ou sans strato // i.e. Couche eponge et second palier pour dissip horiz.
+ok_strato=y
+## Dissipation horizontale
+dissip_fac_mid=2.
+dissip_fac_up=2.
+# deltaz et hdelta en km
+dissip_deltaz=10.
+dissip_hdelta=5.
+# pupstart en Pa
+dissip_pupstart=1.e3
+## Couche eponge 
+#   1: dans les 4 derniers niveaux
+#   2: dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=1
+## Mode Couche eponge 
+#   mode = 0 : pas de sponge
+#   mode = 1 : u et v -> 0
+#   mode = 2 : u et v -> moyenne zonale
+#   mode = 3 : u, v et h -> moyenne zonale
+mode_top_bound=1
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+#
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
Index: trunk/deftanks/LMDZ.VENUS/physiq.def
===================================================================
--- trunk/deftanks/LMDZ.VENUS/physiq.def	(revision 133)
+++ trunk/deftanks/LMDZ.VENUS/physiq.def	(revision 133)
@@ -0,0 +1,77 @@
+## $Header: /home/cvsroot/LMDZ4/physiq.def,v 1.2 2004/06/22 11:45:18 lmdzadmin Exp $
+#
+# PARAMETRES ANCIENNEMENT DANS gcm.def
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=n
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=n
+##  Gravity Waves non-orographiques
+ok_gw_nonoro=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=2000
+## Nombre  d'appels des routines de chimie ( par jour)                 
+nbapp_chim=1
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=0
+#
+#
+# Parametres fichiers de sortie
+#
+### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
+### Pour Venus, ca n'a pas de sens
+OK_journe=n
+### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
+### Pour Venus, seul fichier de sorties moyennees
+OK_mensuel=y
+## frequence (en  jours ) de l'ecriture du fichier histmth pour Venus               
+# regle la frequence d'ecriture dans histmth (mensuel)
+ecritphy=0.1
+### OK_instan=y, ecrire sorties "instantanees" (chaque pas de temps de la  physique)
+OK_instan=n
+# 
+# parametres niveau de sorties differents fichiers
+#
+#niveau de sortie "day" lev_histday
+# - lev_histday=1 => basiques, 2D
+# - lev_histday=2 => basiques, 3D (defaut)
+# - lev_histday=3 => transfert radiatif
+# - lev_histday=4 => champs tendances 3d
+# - lev_histday=5 => traceurs, autres
+lev_histday=2
+#niveau de sortie "mth" lev_histmth avec
+# - lev_histmth=1 => basiques, 2D
+# - lev_histmth=2 => basiques, 3D (defaut)
+# - lev_histmth=3 => transfert radiatif
+# - lev_histmth=4 => champs tendances 3d
+# - lev_histmth=5 => traceurs, autres
+lev_histmth=4
+#
+# parametres climatiques
+#
+# VENUS ##
+# R_ecc = 0.006787
+R_ecc = 0.
+R_peri = 0.
+# R_incl = 177.4
+R_incl = 0.
+# solaire: effective, rapportee a 1 UA
+solaire = 328.
+#
+# parametres boundary layer
+#
+iflag_pbl=8
+z0 = 0.01
+lmixmin = 35.
+ksta = 1.e-7
+ok_kzmin=n
+#
+inertie=2000
+#
+# parametre convection seche
+#
+iflag_ajs = 1
+
Index: trunk/deftanks/LMDZ.VENUS/run.def
===================================================================
--- trunk/deftanks/LMDZ.VENUS/run.def	(revision 133)
+++ trunk/deftanks/LMDZ.VENUS/run.def	(revision 133)
@@ -0,0 +1,35 @@
+#
+# $Header: /users/lmdz/cvsroot/LMDZ.3.3/run.def,v 1.2.2.3 2002/07/12 14:11:18 lmdzadmin Exp $
+#
+INCLUDEDEF=physiq.def
+INCLUDEDEF=gcm.def
+## Calendrier
+calend=venus
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=1
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=1111
+## Remise a zero de la date initiale
+raz_date=1
+## Reinit des variables de controle
+resetvarc=n
+## Nombre de jours d'integration
+nday=2
+## Si on veut moins d'un jour :
+less1day=n
+## si less1day T, fraction de jour du run :
+fractday=0.01
+## periode de sortie des variables de controle (en pas)
+iconser=500
+#
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri= A REPRENDRE !!
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique et dans dynzon (en jour)
+periodav= 2.
+## flag de sortie dynzon
+ok_dynzon=n
Index: trunk/deftanks/LMDZ.VENUS/traceur.def
===================================================================
--- trunk/deftanks/LMDZ.VENUS/traceur.def	(revision 133)
+++ trunk/deftanks/LMDZ.VENUS/traceur.def	(revision 133)
@@ -0,0 +1,2 @@
+1
+10 10 trac1
Index: trunk/deftanks/LMDZ.VENUS/z2sig.def
===================================================================
--- trunk/deftanks/LMDZ.VENUS/z2sig.def	(revision 133)
+++ trunk/deftanks/LMDZ.VENUS/z2sig.def	(revision 133)
@@ -0,0 +1,51 @@
+ 1.00000      H: atmospheric scale height (km) (used as a reference only)
+  0.000500016264   Typical log(sigma) for 1st layer (z=H*log(sigma))
+  0.00198207167   Typical log(sigma) for 2nd layer, etc...
+  0.00790814403
+  0.0212424006
+  0.0449459739
+  0.0819828957
+  0.135316208
+  0.207908899
+  0.302724212
+  0.422724098
+  0.570872605
+  0.750131905
+  0.963465035
+  1.213835
+  1.50420499
+  1.837538
+  2.17087102
+  2.50420403
+  2.83753705
+  3.17087007
+  3.50420308
+  3.8375361
+  4.17086935
+  4.50420237
+  4.83753538
+  5.1708684
+  5.50420141
+  5.83753443
+  6.17086744
+  6.50420046
+  6.83753347
+  7.17086649
+  7.5041995
+  7.83753252
+  8.17086601
+  8.50419903
+  8.837533
+  9.17086601
+  9.50419998
+  9.837533
+  10.170867
+  10.5042
+  10.837534
+  11.170867
+  11.5042009
+  11.837534
+  12.4375343
+  13.0375338
+  13.8875341
+  14.7375336