Index: trunk/LMDZ.MARS/makegcm
===================================================================
--- trunk/LMDZ.MARS/makegcm	(revision 134)
+++ trunk/LMDZ.MARS/makegcm	(revision 148)
@@ -13,4 +13,5 @@
 set grille=reg
 set dyntype="dyn"
+set scatterers="1"
 ########################################################################
 # path a changer contenant les sources et les objets du modele
@@ -290,4 +291,6 @@
              $LMDGCM/libf/grid/dimension/makdim
 
+-s nscat   Number of radiatively active scatterers
+
 -p PHYS    Selects the set of physical parameterizations
            you want to compile the model with.
@@ -346,4 +349,7 @@
      case -p
         set physique="$2" ; set phys="PHYS=$physique" ; shift ; shift ; goto top
+
+     case -s
+        set scatterers="$2" ; shift ; goto top
 
      case -g
@@ -459,7 +465,7 @@
 # build final name of libraries directory:
 if ( "$dyntype" == "olddyn" ) then
-  set nomlib=${nomlib}_${dim_}_t${ntrac}_${grille}_olddyn
+  set nomlib=${nomlib}_${dim_}_t${ntrac}_s${scatterers}_${grille}_olddyn
 else
-  set nomlib=${nomlib}_${dim_}_t${ntrac}_${grille}
+  set nomlib=${nomlib}_${dim_}_t${ntrac}_s${scatterers}_${grille}
 endif
 
@@ -507,12 +513,15 @@
 cd $libf/grid
 if ( -f dimensions.h ) then
-  echo "ATTENTION: vous etes sans doute en train de compiler le modele par ailleurs"
-  echo "Attendez que la premiere compilation soit terminee pour relancer la suivante."
-  echo "Si vous etes sur que vous ne compilez pas le modele par ailleurs,"
-  echo "vous pouvez continuer en repondant oui."
-  echo "Voulez-vous vraiment continuer?"
-  if ( $< == "oui" ) then
+  echo "WARNING: you are probably already compiling the model (perhaps"
+  echo " elsewhere). Wait until the first compilation ends before "
+  echo " compiling a different configuration."
+  echo "If you are sure that you are not already compiling, then you"
+  echo " may continue this compilation by answering yes."
+  echo "Do you want to continue?"
+  if ( $< == "yes" ) then
     #remove old dimensions.h file
     \rm -f $libf/grid/dimensions.h
+    #remove old scatterers.h file
+    \rm -f $libf/phymars/scatterers.h
   else
     exit
@@ -525,4 +534,10 @@
 # echo contents of dimensions.h to standard output
 cat $libf/grid/dimensions.h
+
+cd $libf/phymars/scatterers
+# Build the appropriate 'scatterers.h' file
+./make_scatterers $scatterers
+# echo contents of scatterers.h to standard output
+cat $libf/phymars/scatterers.h
 
 cd $LMDGCM
@@ -681,47 +696,4 @@
 endif
 
-
-
-#
-# les deux test suivants sont "temporaires" pour pallier des "faiblesses" du 
-# compilateur fortran Sun: f90: SC4.0 11 Sep 1995 FORTRAN 90 1.1
-#
-#if ($code == 'create_limit' && $SUN) then
-#   set link=f77
-#   set opt_link="-L$NCDFLIB -lnetcdf"
-#endif
-
-#if ($code == 'create_etat0' && $SUN) then
-#   if ( ! -f $libo/libdyn3d.a ) then
-#     echo "Priere de compiler gcm en premier pour des raisons d'optimisation"
-#     \rm $libf/grid/dimensions.h
-#     exit
-#   endif
-#   set optim90=" -dalign -fixed "
-#   set opt_link="-L$IOIPSLDIR -lioipsl  -L$NCDFLIB -lnetcdf"
-#   set link="$f90 $optim90"
-#   touch $LMDGCM/libf/dyn3d/startvar.F
-#   touch $LMDGCM/libf/dyn3d/etat0_netcdf.F
-#endif
-
-#
-# Encore un test temporaire: probleme de compilation sur VPP
-# l'optimisation de startvar se passe mal
-#
-#if ($code == 'create_etat0' && $VPP) then
-#   if ( ! -f $libo/libdyn3d.a ) then
-#     echo "Priere de compiler gcm en premier pour des raisons d'optimisation"
-#     \rm $libf/grid/dimensions.h                                             
-#     exit                       
-#   endif
-#   set optim90="$optim90"" -X9 -w"
-#   set opt_link="-L$NCDFLIB -lnetcdf"
-#   touch $LMDGCM/libf/dyn3d/startvar.F
-#   touch $LMDGCM/libf/dyn3d/etat0_netcdf.F
-#endif
-
-#
-# etat0_netcdf a besoin d'info de la physique
-# A revoir
 set include="$include"" -I$libf/phy$physique"
 
@@ -812,3 +784,5 @@
 PROG=$code
 
-\rm $libf/grid/dimensions.h
+# cleanup, remove dimensions.h and scatterers.h
+\rm -f $libf/grid/dimensions.h
+\rm -f $libf/phymars/scatterers.h