Index: trunk/MESOSCALE/LMD_MM_MARS/makemeso
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 147)
+++ trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 153)
@@ -248,4 +248,11 @@
     fi 
   fi
+  if [[ "${phys}" == "newphys_" ]]
+  then
+     echo "How many scatterers are you using : 1,2,..." ; read scat
+  else
+     scat=1 ## dummy stuff
+  fi
+
   # summary
   echo '**********************' 
@@ -268,4 +275,8 @@
   echo '         '${dom} domains
   echo '         '${tra} tracers
+  if [[ "${phys}" == "newphys_" ]]
+  then
+    echo '         '${scat} scatterers
+  fi
   echo '****************************************'
   # save answer
@@ -283,4 +294,5 @@
   echo ${tra} >> last
   echo ${answer} >> last
+  echo ${scat} >> last
 
 #------------
@@ -547,4 +559,23 @@
        touch gr_fi_dyn.F.lien
          ln -sf ../dyn3d/gr_fi_dyn.F .  ## dommage, a corriger ## attention idem
+     ###############################
+     ###############################
+\rm scatterers.h
+cat << EOF > scatterers.h
+!-----------------------------------------------------------------------
+!   INCLUDE 'scatterers.h'
+!
+! Number of kind of tracer radiative properties 
+! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+! (ex: naerkind=1 if you use one dust mode without ice ...)
+! (ex: naerkind=2 if you use one dust mode and active ice ...)
+!-----------------------------------------------------------------------
+
+      integer, parameter :: naerkind=${scat}
+
+!-----------------------------------------------------------------------
+EOF
+     ###############################
+     ###############################
      fi 
      ###
@@ -600,5 +631,5 @@
   # save a copy 
   #--------------
-  cp -f libo/liblmd.a libo/liblmd.a_${lon}_${lat}_${level}_${dom}_${tra} 
+  cp -f libo/liblmd.a libo/liblmd.a_${lon}_${lat}_${level}_${dom}_${tra}_${scat} 
   echo '****************************************'
 
@@ -655,6 +686,6 @@
                         echo 'Looks good ! wrf.exe is here...' 
                       fi
-                    cp -f real.exe ../../real_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
-                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
+                    cp -f real.exe ../../real_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
+                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
                     cd ..  ;;
     'ideal')        #mkdir 'test/em_quarter_ss' 2> /dev/null
@@ -671,6 +702,6 @@
                         echo 'Looks good ! wrf.exe is here...' 
                       fi
-                    cp -f ideal.exe ../../ideal_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
-                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
+                    cp -f ideal.exe ../../ideal_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
+                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
                     cd ..  ;;
     'les')          echo '>>> YOUR CONFIG IS : '${config}
@@ -687,6 +718,6 @@
                         echo 'Looks good ! wrf.exe is here...' 
                       fi
-                    cp -f ideal.exe ../../ideal_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
-                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}.exe
+                    cp -f ideal.exe ../../ideal_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
+                    cp -f wrf.exe ../../wrf_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}.exe
                     cd ..  ;;
     *)              echo not supported... please use ; echo ideal les ; exit ;;
@@ -700,5 +731,5 @@
   echo 'done.'
   echo '****************************************'
-  cp last ../makemeso_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}
+  cp last ../makemeso_x${lon}_y${lat}_z${level}_d${dom}_t${tra}_p${numproc}_s${scat}
   mv last ../../
 